DSSSL Library Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  | Next

# sgml-root-element

## Name

sgml-root-element -- Returns the node that is the root element of the current document

## Synopsis

    (sgml-root-element #!optional (grove-node (current-node)))

## Description

Returns the node that is the root element of the current document

## Author

Norman Walsh, <ndw@nwalsh.com>

## Source Code

    (define (sgml-root-element #!optional (grove-node (current-node)))
      ;; Returns the node that is the root element of the current document
      (node-property 'document-element (node-property 'grove-root grove-node)))

Prev | Home | Next
decrement-list-members | Up | sgml-root-element?